Open SCAP Library: cvrf_doc_publisher Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_doc_publisher Struct Reference

## Public Member Functions
cvrf_doc_publisher_type_t | cvrf_doc_publisher_get_type (struct cvrf_doc_publisher *publisher)
xmlNode * | cvrf_doc_publisher_to_dom (struct cvrf_doc_publisher *publisher)
| Parent: CVRF Model root node. More...
struct cvrf_doc_publisher * | cvrf_doc_publisher_new (void)
| New CVRF DocumentPublisher structure. More...
void | cvrf_doc_publisher_free (struct cvrf_doc_publisher *publisher)
| Deallocates memory for a DocumentPublisher element. More...
struct cvrf_doc_publisher * | cvrf_doc_publisher_clone (const struct cvrf_doc_publisher *publisher)
const char * | cvrf_doc_publisher_get_vendor_id (const struct cvrf_doc_publisher *publisher)
const char * | cvrf_doc_publisher_get_contact_details (const struct cvrf_doc_publisher *publisher)
const char * | cvrf_doc_publisher_get_issuing_authority (const struct cvrf_doc_publisher *publisher)
bool | cvrf_doc_publisher_set_vendor_id (struct cvrf_doc_publisher *publisher, const char *vendor_id)
bool | cvrf_doc_publisher_set_contact_details (struct cvrf_doc_publisher *publisher, const char *contact_details)
bool | cvrf_doc_publisher_set_issuing_authority (struct cvrf_doc_publisher *publisher, const char *issuing_authority)

## Data Fields
cvrf_doc_publisher_type_t | type
char * | vendor_id
char * | contact_details
char * | issuing_authority

## Member Function Documentation

## ◆ cvrf_doc_publisher_get_type()

cvrf_doc_publisher_type_t cvrf_doc_publisher_get_type | ( | struct cvrf_doc_publisher * | publisher | ) |

Retrieve type of publisher for the CVRF document

Parameters

  publisher | CVRF DocumentPublisher structure

Returns
  Enum representing Type attribute of the DocumentPublisher element

## ◆ cvrf_doc_publisher_to_dom()

xmlNode * cvrf_doc_publisher_to_dom | ( | struct cvrf_doc_publisher * | publisher | ) |

Parent: CVRF Model root node.

Parameters

  publisher | CVRF DocumentPublisher structure to be exported to XML

Returns
  xmlNode representing DocumentPublisher element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h